package com.bib.essensbestellungsverwaltung;

/**
 * Matching an Allergy to a Severity, used by Child
 * @author Malte Schulze Hobeling
 */
public class AllergySeverity {
    private Allergy allergy;
    private long severityId;
    private String severity;

    public AllergySeverity(Allergy allergy, long severityId, String severity) {
        this.allergy = allergy;
        this.severityId = severityId;
        this.severity = severity;
    }

    public Allergy getAllergy() {
        return allergy;
    }

    public long getSeverityId() {
        return severityId;
    }

    public String getSeverity() {
        return severity;
    }
}
