package com.bib.essensbestellungsverwaltung;

/**
 * one constructor is used to create new worker the other is used to create
 * existing worker from database
 * 
 * @author Malte Schulze Hobeling
 */
public class Worker extends User {
    public Worker(long id, String name, String firstname, String password, String email, Address address) {
        super(id, name, firstname, password, email, address);
    }

    public Worker(String name, String firstname, String password, String email, Address address) {
        super(name, firstname, password, email, address);
    }

    public Worker(User user) {
        super(user.getId(), user.getName(), user.getFirstname(), user.getPassword(), user.getEmail(), user.getAddress());
    }
}
